Skip to main content
Update Custom Properties of an entity
curl --request PATCH \
  --url https://{tenant_name}.{region}.techwolf.ai/{entity_type}/{entity_type_external_id}/custom_properties \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "property_name": "type",
    "property_value": "online"
  },
  {
    "property_name": "years_of_experience",
    "property_value": 3
  },
  {
    "property_name": "online",
    "property_value": true
  },
  {
    "property_name": "tools",
    "property_value": [
      "JIRA",
      "Git"
    ]
  },
  {
    "property_name": "creation_date",
    "property_value": "2023-04-25T17:14:30.40"
  }
]
'

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

entity_type_external_id
string<uuid>
required

Unique external ID linked to this entity, consisting of alphanumeric characters, hyphens and underscores. Note that the endpoint taxonomy/skills uses skill_id. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Body

application/json
property_name
string
required

The name of the Custom Property. Can not contain __.

Required string length: 1 - 100
property_value
required

Fill in the value of the property.

Example:
[
{
"property_name": "type",
"property_value": "online"
},
{
"property_name": "years_of_experience",
"property_value": 3
},
{
"property_name": "online",
"property_value": true
},
{
"property_name": "tools",
"property_value": ["JIRA", "Git"]
},
{
"property_name": "creation_date",
"property_value": "2023-04-25T17:14:30.40"
}
]

Response

No Content